## The code below reads data about UK and USA powerplants from a
## csv file into four arrays (python lists).
## One line of the file looks like this:
##    United Kingdom,Taff Ely,9,Wind\n
## There are 11222 lines in the file.)

## The function "readFile" has been written for you.  This reads the file data into
## four parallel arrays called country, name, megawatts and powerType.
## An outline structure for the main program has also been created for you.

##   ********  INSTRUCTIONS   *********
## Your tasks are to use the four parallel arrays to produce the output below:
## Complete the empty defs (and add other code where required) to:
## - Display the least power produced by a powerplant
## - Display the number of powerplants that produce less than 100 Megawatts
## - Display the name and country of the powerplant that produces the most power

## ADDITIONAL NOTES
## Work out what parameters you will pass in to each procedure/function (def).
## If writing as a function work out what you will return to the main program.
## The first two are simple standard algorithm problems.
## The third output will require you to adapt the standard algorithms

def readFile(country,name,megawatts,powerType):
    eachRow = []

    with open("power.csv",'r') as everything:    #connect to the file as read only

        for each in everything.readlines():   #loop for each line of the file

            row = each[0:-1]                  #remove the end of line character \n from the file line
            eachRow = row.split(",")          #create a temporary list from each part of the file line

            country.append(eachRow[0])        #add each element of the temporary list to four parallel arrays
            name.append(eachRow[1])
            megawatts.append(float(eachRow[2]))
            powerType.append(eachRow[3])

    return country,name,megawatts,powerType   #return four "parallel arrays" (python lists)


def findMinimum():
    print()


def countOccurences():
    print()


def findMaximum():
    print()


## MAIN PROGRAM
country = []
name = []
megawatts = []
powerType = []

country,name,megawatts,powerType = readFile(country,name,megawatts,powerType)


findMinimum()

countOccurences()

findMaximum()





